----------Building Recipes------------

local gas_burner = {
	enabled = true,
	ingredients = {
		{"electronic-circuit", 1},
		{"iron-plate", 5},
		{"iron-gear-wheel", 5},
		{"stone-furnace", 1},
	},
	name = "gas-works-gas-burner",
	result = "gas-works-gas-burner",
	type = "recipe",
}

local gas_turbine = {
	enabled = true,
	ingredients = {
		{"electronic-circuit", 1},
		{"iron-plate", 5},
		{"iron-gear-wheel", 5},
		{"stone-furnace", 1},
	},
	name = "gas-works-gas-turbine",
	result = "gas-works-gas-turbine",
	type = "recipe",
}

----------Fluid Recipies------------

local dirty_syngas = {
	category = "oil-processing",
	enabled = false,
	energy_required = 0.5,
	--icon = "",
	--icon_size= ,
	ingredients = {
		{name = "petroleum-gas", amount = 4, type = "fluid"},
		{name = "steam", amount = 1, type = "fluid"},
	},
	name = "gas-works-dirty-syngas",
	--order
	results = {
		{name = "gas-works-dirty-syngas", amount = 3, type = "fluid"},
	},
	type = "recipe",
}

local pure_syngas = {
	category = "oil-processing",
	enabled = false,
	energy_required = 1,
	--icon = "",
	--icon_size= ,
	ingredients = {
		{name = "gas-works-dirty-syngas", amount = 3, type = "fluid"},
		{name = "water", amount = 1, type = "fluid"},
	},
	name = "gas-works-syngas-purification",
	--order
	results = {
		{name = "gas-works-pure-syngas", amount = 4, type = "fluid"},
	},
	type = "recipe",
}

data:extend({
    gas_burner,
	gas_turbine,
	dirty_syngas,
	pure_syngas,
})